#pragma once

#include <windows.h>
#include <stdio.h>
#include <tchar.h>

class CTransLogger
{
public:
	CTransLogger();
	~CTransLogger();

// Operations
public:
	static bool Create(LPCTSTR lpszPathName, bool bOverwrite = true);
	static bool Close();
	static bool Flush();

	static DWORD Write(LPCTSTR lpszFormat, ...);
	
// Data Members
private:
	static HANDLE m_hFile;
};
